%define upstream_name    SQL-ReservedWords
%define upstream_version 0.8

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Reserved SQL words by PostgreSQL
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/SQL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Build) >= 0.400.0
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Determine if words are reserved by ANSI/ISO SQL standard.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/sqlrw
/usr/share/man/man1/sqlrw.1.bz2

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.800.0-9pclos2017
- rebuild against updates

